Credits | Overview | Plotting Styles | Commands | Terminals
--- | --- | --- | --- | ---

## walls

Syntax:

         set walls
         set wall {x0|y0|z0|x1|y1} {<fillstyle>} {fc <fillcolor>}

3D surfaces drawn by splot lie within a normalized unit cube regardless of the x y and z axis ranges. The bounding walls of this cube are described by the planes (graph coord x == 0), (graph coord x == 1), etc. The set walls command renders the walls x0 y0 and z0 as solid surfaces. By default these surfaces are semi-transparent (fillstyle transparent solid 0.5). You can customize which walls are drawn and also their individual color and fill style. If you choose to enable walls, you may also want to use set xyplane 0.

Example:

         set wall x0; set wall y1; set wall z0 fillstyle solid 1.0 fillcolor "gray"
         splot f(x,y) with pm3d fc "goldenrod"